begT=datetime(2021,01,01);
endT=datetime(2021,12,31);

begMJD=juliandate(begT)-2400000.5;
endMJD=juliandate(endT)-2400000.5;
batStr2 = '';
%1.cyklus for pro mjd v rozsahu beg MJD›endMJD
%1.1převést aktuální mjd na datetime

for mjd=begMJD:endMJD
    thisDate=datetime(mjd+2400000.5,'convertfrom','juliandate');
    thisYear=datestr(thisDate,'yyyy');
    thisMonth=datestr(thisDate,'mm');
    thisDay=datestr(thisDate, 'dd');
    %vytvoření jednoho řádku do souboru*.bat
    thisStr2=sprintf('md T:\\\\Studenti\\\\Geodeti\\\\Nosalkova\\\\novy\\\\%s\\\\%s\\\\%s \n',thisYear, thisMonth, thisDay);
    batStr2=[batStr2 thisStr2];
end
    %zápis do souboru bat
    out=fopen('vytvorenislozek.bat','w');
    fprintf(out, batStr2);
    fclose(out);
    
